import java.util.Scanner;

public class StringTester {

	public static void main(String[] args) {
		String s1 = "Jackie";
		String s2 = "Jackie";
		
		/* When string literals have the same content,
		 * for efficiency optimization, Java compiler 
		 * will only create a single object whose address is stored in those variable.
		 */
		
		System.out.println("=====");
		System.out.println(s1 == s2); /* are the addresses stored in s1 and s2 the same? */
		System.out.println(s1.equals(s2)); /* are s1 and s2 equal by their content? */
		
		String s3 = new String("Jackie");
		String s4 = new String("Jackie");
		
		System.out.println("=====");
		System.out.println(s3 == s4);
		System.out.println(s3.equals(s4));
		
		Scanner input = new Scanner(System.in);
		System.out.println("Enter a string:");
		String s5 = input.nextLine();
		System.out.println("Enter another string:");
		String s6 = input.nextLine();
		
		System.out.println("=====");
		System.out.println(s5 == s6);
		System.out.println(s5.equals(s6)); 
	}

}










